from django.contrib import admin
from .models import *


# Register your models here.
class CredentialInline(admin.TabularInline):
    model = ProjectCredential
    extra = 1  

class ProjectAdmin(admin.ModelAdmin):
    inlines=[CredentialInline]



class PointAdmin(admin.ModelAdmin):
    list_display = ('text', 'status', 'task', 'task_assigned_to')  # Display these fields in the admin list view
    list_filter = ('status',)  # Enable filtering by status in the admin interface
    def task_assigned_to(self, obj):
        return obj.task.assigned_to if obj.task else ''


class TaskAdmin(admin.ModelAdmin):
    list_display = ('name', 'get_project_name', 'get_milestone_name')
    list_filter = ('project', 'milestone')  # Enables sidebar filtering

    def get_project_name(self, obj):
        return obj.project.name if obj.project else '-'
    get_project_name.short_description = 'Project'

    def get_milestone_name(self, obj):
        return obj.milestone.name if obj.milestone else '-'
    get_milestone_name.short_description = 'Milestone'


admin.site.register(Reference)
admin.site.register(Business)
admin.site.register(CustomerProfile)
admin.site.register(Department)
admin.site.register(StaffProfile)
admin.site.register(ProjectType)
admin.site.register(Project, ProjectAdmin)
admin.site.register(Milestone)
admin.site.register(UserStory)
admin.site.register(ProjectStatus)
admin.site.register(PinnedProject)
admin.site.register(Epic)
admin.site.register(Note)
admin.site.register(Task, TaskAdmin)
admin.site.register(Status)
admin.site.register(Tag)
admin.site.register(Point, PointAdmin)
admin.site.register(DailyReport)
admin.site.register(BusinessType)
admin.site.register(PointActivity)
admin.site.register(Connection)
admin.site.register(Reaction)
admin.site.register(JobPosition)
admin.site.register(StaffPosition)

